{
  description = "marleyOS";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nixgl.url = "github:nix-community/nixGL";

    rose-pine.url = "git+https://git.punkfairie.net/punkfairie/rose-pine-nix";

    # Rose pine themes that aren't included in the above flake:
    rose-pine-amfora = {
      url = "github:rose-pine/amfora";
      flake = false;
    };
  };

  outputs =
    {
      nixpkgs,
      home-manager,
      ...
    }@inputs:
    {
      homeConfigurations."marley" =
        let
          system = "x86_64-linux";
          pkgs = nixpkgs.legacyPackages.${system};
        in
        home-manager.lib.homeManagerConfiguration {
          inherit pkgs;

          extraSpecialArgs = with inputs; {
            inherit nixgl;
            inherit inputs;
          };

          modules = [
            ./home
            inputs.rose-pine.homeManagerModules.rose-pine
          ];
        };
    };
}
