{ lib, ... }:
{
  programs.starship = {
    enable = true;

    rose-pine.enable = true;

    settings = lib.mkMerge [
      # Nerd Font Symbols
      {
        aws.symbol = lib.mkForce "  ";
        buf.symbol = lib.mkForce " ";
        c.symbol = lib.mkForce " ";
        conda.symbol = lib.mkForce " ";
        crystal.symbol = lib.mkForce " ";
        dart.symbol = lib.mkForce " ";
        directory.read_only = lib.mkForce " 󰌾";
        docker_context.symbol = lib.mkForce " ";
        elixir.symbol = lib.mkForce " ";
        elm.symbol = lib.mkForce " ";
        fennel.symbol = lib.mkForce " ";
        fossil_branch.symbol = lib.mkForce " ";
        git_branch.symbol = lib.mkForce " ";
        git_commit.tag_symbol = lib.mkForce "  ";
        golang.symbol = lib.mkForce " ";
        guix_shell.symbol = lib.mkForce " ";
        haskell.symbol = lib.mkForce " ";
        haxe.symbol = lib.mkForce " ";
        hg_branch.symbol = lib.mkForce " ";
        hostname.ssh_symbol = lib.mkForce " ";
        java.symbol = lib.mkForce " ";
        julia.symbol = lib.mkForce " ";
        kotlin.symbol = lib.mkForce " ";
        lua.symbol = lib.mkForce " ";
        memory_usage.symbol = lib.mkForce "󰍛 ";
        meson.symbol = lib.mkForce "󰔷 ";
        nim.symbol = lib.mkForce "󰆥 ";
        nix_shell.symbol = lib.mkForce " ";
        nodejs.symbol = lib.mkForce " ";
        ocaml.symbol = lib.mkForce " ";
        os.symbols = {
          Alpine = lib.mkForce " ";
          AlmaLinux = lib.mkForce " ";
          Amazon = lib.mkForce " ";
          Android = lib.mkForce " ";
          Arch = lib.mkForce " ";
          Artix = lib.mkForce " ";
          CentOS = lib.mkForce " ";
          Debian = lib.mkForce " ";
          DragonFly = lib.mkForce " ";
          Emscripten = lib.mkForce " ";
          EndeavourOS = lib.mkForce " ";
          Fedora = lib.mkForce " ";
          FreeBSD = lib.mkForce " ";
          Garuda = lib.mkForce "󰛓 ";
          Gentoo = lib.mkForce " ";
          HardenedBSD = lib.mkForce "󰞌 ";
          Illumos = lib.mkForce "󰈸 ";
          Kali = lib.mkForce " ";
          Linux = lib.mkForce " ";
          Mabox = lib.mkForce " ";
          Macos = lib.mkForce " ";
          Manjaro = lib.mkForce " ";
          Mariner = lib.mkForce " ";
          MidnightBSD = lib.mkForce " ";
          Mint = lib.mkForce " ";
          NetBSD = lib.mkForce " ";
          NixOS = lib.mkForce " ";
          OpenBSD = lib.mkForce "󰈺 ";
          openSUSE = lib.mkForce " ";
          OracleLinux = lib.mkForce "󰌷 ";
          Pop = lib.mkForce " ";
          Raspbian = lib.mkForce " ";
          Redhat = lib.mkForce " ";
          RedHatEnterprise = lib.mkForce " ";
          RockyLinux = lib.mkForce " ";
          Redox = lib.mkForce "󰀘 ";
          Solus = lib.mkForce "󰠳 ";
          SUSE = lib.mkForce " ";
          Ubuntu = lib.mkForce " ";
          Unknown = lib.mkForce " ";
          Void = lib.mkForce " ";
          Windows = "󰍲 ";
        };
        package.symbol = lib.mkForce "󰏗 ";
        perl.symbol = lib.mkForce " ";
        php.symbol = lib.mkForce " ";
        pijul_channel.symbol = lib.mkForce " ";
        python.symbol = lib.mkForce " ";
        rlang.symbol = lib.mkForce "󰟔 ";
        ruby.symbol = lib.mkForce " ";
        rust.symbol = lib.mkForce "󱘗 ";
        scala.symbol = lib.mkForce " ";
        swift.symbol = lib.mkForce " ";
        zig.symbol = lib.mkForce " ";
        gradle.symbol = lib.mkForce " ";
      }

      {
        format = lib.mkForce (
          lib.concatStrings [
            "$username "
            "$directory "
            "$git_branch "
            "$git_status "
            "$fill "
            "$c "
            "$elixir "
            "$elm "
            "$golang "
            "$haskell "
            "$java "
            "$julia "
            "$nodejs "
            "$nim "
            "$rust "
            "$scala "
            "$python "
            "$time "
            "$line_break "
            "[󱞪](fg:iris) "
          ]
        );
      }
    ];
  };
}
